
%define name smeserver-mod_maxminddb
%define version 1.1.0
%define release 7

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mod_maxminddb-1.1.0-bz10759-typo.patch
Patch1: smeserver-mod_maxminddb-1.1.0-bz10759-rename.patch
Patch2: smeserver-mod_maxminddb-1.1.0-bz10759-newVariables.patch
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 9
Requires: httpd >= 2
Requires: mod_maxminddb
Requires: libmaxminddb-devel
Requires: geolite2-city
Requires: geolite2-country
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Thu Apr 11 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix missing db on installation [SME: 10770]

* Thu Mar 14 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- configure necessary variables [SME: 10759]

* Wed Mar 13 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix typo [SME: 10759]
- add requires mod_maxminddb
- rename template 

* Tue Mar 12 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- Initial version [SME: 10759]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
